## sdformat 3.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)

if(COMMAND CMAKE_POLICY)
  CMAKE_POLICY(SET CMP0003 NEW)
  CMAKE_POLICY(SET CMP0004 NEW)
endif(COMMAND CMAKE_POLICY)
enable_testing()

# with -fPIC
if(UNIX AND NOT WIN32)
  set (CMAKE_INSTALL_PREFIX "/usr" CACHE STRING "Install Prefix")
 find_program(CMAKE_UNAME uname /bin /usr/bin /usr/local/bin )
 if(CMAKE_UNAME)
   exec_program(uname ARGS -m OUTPUT_VARIABLE CMAKE_SYSTEM_PROCESSOR)
   set(CMAKE_SYSTEM_PROCESSOR ${CMAKE_SYSTEM_PROCESSOR} CACHE INTERNAL
     "processor type (i386 and x86_64)")
   if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
     ADD_DEFINITIONS(-fPIC)
   endif(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
 endif(CMAKE_UNAME)
endif()

project (SDFormat)
string (TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)

# The protocol version has nothing to do with the package version set below.
# It represents the current version of sdformat implement by the software
set (SDF_PROTOCOL_VERSION 1.5)

set (SDF_MAJOR_VERSION 3)
set (SDF_MINOR_VERSION 0)
set (SDF_PATCH_VERSION 0)

set (SDF_VERSION ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION})
set (SDF_VERSION_FULL ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION}.${SDF_PATCH_VERSION})

set (project_cmake_dir ${PROJECT_SOURCE_DIR}/cmake
  CACHE PATH "Location of CMake scripts")

message (STATUS "${PROJECT_NAME} version ${SDF_VERSION_FULL}")
set (CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)

# Include GNUInstallDirs to get canonical paths
include(GNUInstallDirs)

# Default test type for test all over source
set(TEST_TYPE "UNIT")

# developer's option to cache PKG_CONFIG_PATH and
# LD_LIBRARY_PATH for local installs
if(PKG_CONFIG_PATH)
  set (ENV{PKG_CONFIG_PATH} ${PKG_CONFIG_PATH}:$ENV{PKG_CONFIG_PATH})
endif()
if(LD_LIBRARY_PATH)
  set (ENV{LD_LIBRARY_PATH} ${LD_LIBRARY_PATH}:$ENV{LD_LIBRARY_PATH})
endif()

set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_INCLUDEDIR}/sdformat-${SDF_VERSION}/sdf") 
set (LIB_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR} CACHE STRING "Installation directory for libraries (relative to CMAKE_INSTALL_PREFIX)") 
set (BIN_INSTALL_DIR ${CMAKE_INSTALL_BINDIR} CACHE STRING "Installation directory for binaries (relative to CMAKE_INSTALL_PREFIX)") 

set (USE_FULL_RPATH OFF CACHE BOOL "Set to true to enable full rpath")


if (USE_FULL_RPATH)
  # use, i.e. don't skip the full RPATH for the build tree
  set(CMAKE_SKIP_BUILD_RPATH  FALSE)
  
  # when building, don't use the install RPATH already
  # (but later on when installing)
  set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE) 
  
  set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")
  
  # add the automatically determined parts of the RPATH
  # which point to directories outside the build tree to the install RPATH
  set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
  
  # the RPATH to be used when installing, but only if its not a system directory
  list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}" isSystemDir)
  if("${isSystemDir}" STREQUAL "-1")
    set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")
  endif("${isSystemDir}" STREQUAL "-1")
endif()

set (BUILD_SDF ON CACHE INTERNAL "Build SDF" FORCE)
set (build_errors "" CACHE INTERNAL "build errors" FORCE)
set (build_warnings "" CACHE INTERNAL "build warnings" FORCE)

set (sdf_cmake_dir ${PROJECT_SOURCE_DIR}/cmake CACHE PATH
     "Location of CMake scripts")

include (${sdf_cmake_dir}/SDFUtils.cmake)

message (STATUS "\n\n====== Finding 3rd Party Packages ======")
 # Use of tinyxml. System installation on UNIX. Internal copy on WIN
if (UNIX)
  message (STATUS "Using system tinyxml")
  set (USE_EXTERNAL_TINYXML True)
elseif(WIN32)
  message (STATUS "Using internal tinyxml code")
  set (USE_EXTERNAL_TINYXML False)
else()
  message (STATUS "Unknown platform")
  BUILD_ERROR("Unknown platform")
endif()
include (${sdf_cmake_dir}/SearchForStuff.cmake)
message (STATUS "----------------------------------------\n")

#####################################
# Set the default build type
if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING 
    "Choose the type of build, options are: Debug Release RelWithDebInfo Profile Check" FORCE)
endif (NOT CMAKE_BUILD_TYPE)
string(TOUPPER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_UPPERCASE)

set (BUILD_TYPE_PROFILE FALSE)
set (BUILD_TYPE_RELEASE FALSE)
set (BUILD_TYPE_RELWITHDEBINFO FALSE)
set (BUILD_TYPE_DEBUG FALSE)

if ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "PROFILE")
  set (BUILD_TYPE_PROFILE TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "RELEASE")
  set (BUILD_TYPE_RELEASE TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "RELWITHDEBINFO")
  set (BUILD_TYPE_RELWITHDEBINFO TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "DEBUG")
  set (BUILD_TYPE_DEBUG TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "COVERAGE")
  include (${project_cmake_dir}/CodeCoverage.cmake)
  set (BUILD_TYPE_DEBUG TRUE)
  SETUP_TARGET_FOR_COVERAGE(coverage ctest coverage)
else()
  build_error("CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} unknown. Valid options are: Debug Release RelWithDebInfo Profile Check")
endif()

#####################################
# Handle CFlags
unset (CMAKE_C_FLAGS_ALL CACHE)
unset (CMAKE_CXX_FLAGS CACHE)

# USE_HOST_CFLAGS (default TRUE)
# Will check building host machine for proper cflags
if(NOT DEFINED USE_HOST_CFLAGS OR USE_HOST_CFLAGS)
  message(STATUS "Enable host CFlags")
  include (${project_cmake_dir}/HostCFlags.cmake)
endif()

# USE_UPSTREAM_CFLAGS (default TRUE)
# Will use predefined ignition developers cflags
if(NOT DEFINED USE_UPSTREAM_CFLAGS OR USE_UPSTREAM_CFLAGS)
  message(STATUS "Enable upstream CFlags")
  include(${project_cmake_dir}/DefaultCFlags.cmake)
endif()

# Check if warning options are avaliable for the compiler and return WARNING_CXX_FLAGS variable
if (MSVC)
  set(WARN_LEVEL "/W4")

  # Unable to be filtered flags (failing due to limitations in filter_valid_compiler_warnings)
  # Handling exceptions rightly
  set(UNFILTERED_FLAGS "/EHsc")
else()
  # Equivalent to Wall (according to man gcc) but removed the unknown pragams since we use
  # MSVC only pragmas all over the code
  list(APPEND WARN_LEVEL -Waddress -Warray-bounds -Wcomment -Wformat -Wnonnull)
  list(APPEND WARN_LEVEL -Wparentheses -Wreorder -Wreturn-type)
  list(APPEND WARN_LEVEL -Wsequence-point -Wsign-compare -Wstrict-aliasing)
  list(APPEND WARN_LEVEL -Wstrict-overflow=1 -Wswitch -Wtrigraphs -Wuninitialized)
  list(APPEND WARN_LEVEL -Wunused-function -Wunused-label -Wunused-value)
  list(APPEND WARN_LEVEL -Wunused-variable -Wvolatile-register-var)

  # Unable to be filtered flags (failing due to limitations in filter_valid_compiler_warnings)
  set(UNFILTERED_FLAGS "-Wc++11-compat")
endif()

filter_valid_compiler_warnings(${WARN_LEVEL} -Wextra -Wno-long-long
  -Wno-unused-value -Wno-unused-value -Wno-unused-value -Wno-unused-value
  -Wfloat-equal -Wshadow -Winit-self -Wswitch-default
  -Wmissing-include-dirs -pedantic -Wno-pragmas)
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}${WARNING_CXX_FLAGS} ${UNFILTERED_FLAGS}")

#################################################
# OS Specific initialization
if (UNIX)
  sdf_setup_unix()
else (WIN32)
  sdf_setup_windows()
else (APPLE)
  sdf_setup_apple()
endif()

#################################################
# Print warnings and errors
if ( build_warnings )
  message(STATUS "BUILD WARNINGS")
  foreach (msg ${build_warnings})
    message(STATUS ${msg})
  endforeach ()
  message(STATUS "END BUILD WARNINGS\n")
endif (build_warnings)

########### Add uninstall target ###############
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)
add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake")

if (build_errors)
  message(STATUS "BUILD ERRORS: These must be resolved before compiling.")
  foreach (msg ${build_errors})
    message(STATUS ${msg})
  endforeach ()
  message(STATUS "END BUILD ERRORS\n")
  message (FATAL_ERROR "Errors encountered in build. Please see the BUILD ERRORS above.")

else (buid_errors)

  ########################################
  # Write the config.h file
  configure_file (${sdf_cmake_dir}/sdf_config.h.in
    ${PROJECT_BINARY_DIR}/sdf/sdf_config.h)
  sdf_install_includes("" ${PROJECT_BINARY_DIR}/sdf/sdf_config.h)

  message (STATUS "C Flags:${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_${CMAKE_BUILD_TYPE}}")
  message (STATUS "Build Type: ${CMAKE_BUILD_TYPE}")
  message (STATUS "Install path: ${CMAKE_INSTALL_PREFIX}")
 
  if (BUILD_SDF)
    include_directories(include
      ${PROJECT_BINARY_DIR}
      ${PROJECT_BINARY_DIR}/include
      )
  
    link_directories(${PROJECT_BINARY_DIR}/src)

    add_subdirectory(test)
    add_subdirectory(src)
    add_subdirectory(include/sdf)
    add_subdirectory(sdf)
    add_subdirectory(doc)
  endif(BUILD_SDF)

  ########################################
  # Make the package config file
  configure_file(${CMAKE_SOURCE_DIR}/cmake/sdformat_pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake/sdformat.pc @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cmake/sdformat.pc DESTINATION
    ${LIB_INSTALL_DIR}/pkgconfig COMPONENT pkgconfig)

  ########################################
  # Make the cmake config files
  set(PKG_NAME ${PROJECT_NAME})
  set(PKG_LIBRARIES sdformat)
  set(cmake_conf_file "cmake/sdf_config.cmake")
  set(cmake_conf_version_file "cmake/SDFormatConfigVersion.cmake")
  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${cmake_conf_file}.in" "${CMAKE_CURRENT_BINARY_DIR}/SDFormatConfig.cmake" @ONLY)
  # Use write_basic_package_version_file to generate a ConfigVersion file that
  # allow users of gazebo to specify the API or version to depend on
  # TODO: keep this instruction until deprecate Ubuntu/Precise and update with
  # https://github.com/Kitware/CMake/blob/v2.8.8/Modules/CMakePackageConfigHelpers.cmake 
  include(WriteBasicConfigVersionFile)
  write_basic_config_version_file(
      ${CMAKE_CURRENT_BINARY_DIR}/${cmake_conf_version_file}
      VERSION "${SDF_VERSION_FULL}"
      COMPATIBILITY SameMajorVersion)
  install(FILES 
            ${CMAKE_CURRENT_BINARY_DIR}/SDFormatConfig.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/${cmake_conf_version_file}
          DESTINATION 
	    ${LIB_INSTALL_DIR}/cmake/${PROJECT_NAME_LOWER}/ 
	  COMPONENT cmake)

  ########################################
  # Package Creation: 
  include (${sdf_cmake_dir}/sdf_cpack.cmake)
  set (CPACK_PACKAGE_VERSION "${SDF_VERSION_FULL}")
  set (CPACK_PACKAGE_VERSION_MAJOR "${SDF_MAJOR_VERSION}")
  set (CPACK_PACKAGE_VERSION_MINOR "${SDF_MINOR_VERSION}")
  set (CPACK_PACKAGE_VERSION_PATCH "${SDF_PATCH_VERSION}")

  if (CPACK_GENERATOR)
    message(STATUS "Found CPack generators: ${CPACK_GENERATOR}")

    configure_file("${sdf_cmake_dir}/cpack_options.cmake.in"
                   ${SDF_CPACK_CFG_FILE} @ONLY)
    set(CPACK_PROJECT_CONFIG_FILE ${SDF_CPACK_CFG_FILE})
    include (CPack)
  endif()

  message(STATUS "Configuration successful. Type make to compile sdf")
endif(build_errors)

=== src/CMakeLists.txt ===
include (${sdf_cmake_dir}/SDFUtils.cmake)

include_directories(
  ${Boost_INCLUDE_DIR}
  ${IGNITION-MATH_INCLUDE_DIRS}
)

link_directories(
  ${PROJECT_BINARY_DIR}/test
  ${Boost_LIBRARY_DIR}
  ${IGNITION-MATH_LIBRARY_DIRS}
)

if (USE_EXTERNAL_URDF)
  link_directories(${URDF_LIBRARY_DIRS})
endif()

set (sources
  Assert.cc
  Console.cc
  Converter.cc
  Element.cc
  Exception.cc
  parser.cc
  parser_urdf.cc
  Param.cc
  SDF.cc
  SDFExtension.cc
  Types.cc
)

include_directories(${Boost_INCLUDE_DIRS})

if (USE_EXTERNAL_TINYXML)
  include_directories(${tinyxml_INCLUDE_DIRS})
else()
  set(sources ${sources}
    win/tinyxml/tinystr.cpp  
    win/tinyxml/tinyxmlerror.cpp
    win/tinyxml/tinyxml.cpp
    win/tinyxml/tinyxmlparser.cpp)
    
    install (FILES win/tinyxml/tinyxml.h 
	    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/sdformat-${SDF_VERSION})
endif()

if (USE_EXTERNAL_URDF)
  include_directories(${URDF_INCLUDE_DIRS})
else()
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/urdf)
  set(sources ${sources}
  urdf/urdf_parser/model.cpp
  urdf/urdf_parser/link.cpp
  urdf/urdf_parser/joint.cpp
  urdf/urdf_parser/pose.cpp
  urdf/urdf_parser/twist.cpp
  urdf/urdf_parser/urdf_model_state.cpp
  urdf/urdf_parser/urdf_sensor.cpp
  urdf/urdf_parser/world.cpp
)
endif()

set (gtest_sources
  SDF_TEST.cc
  Console_TEST.cc
  Converter_TEST.cc
  Exception_TEST.cc
  parser_urdf_TEST.cc
  Param_TEST.cc
)
sdf_build_tests(${gtest_sources})

sdf_add_library(sdformat ${sources})
target_link_libraries(sdformat ${Boost_LIBRARIES} ${IGNITION-MATH_LIBRARIES})

if (USE_EXTERNAL_TINYXML)
  link_directories(${tinyxml_LIBRARY_DIRS})
  target_link_libraries(sdformat ${tinyxml_LIBRARIES})
endif()

message (STATUS "URDF_LIBRARY_DIRS=${URDF_LIBRARY_DIRS}")
message (STATUS "URDF_LIBRARIES=${URDF_LIBRARIES}")

if (USE_EXTERNAL_URDF)
  target_link_libraries(sdformat ${URDF_LIBRARIES})
endif()

sdf_install_library(sdformat)

=== sdf/1.5/CMakeLists.txt ===
set (sdfs
  actor.sdf
  altimeter.sdf
  audio_source.sdf
  audio_sink.sdf
  box_shape.sdf
  camera.sdf
  collision.sdf
  contact.sdf
  cylinder_shape.sdf
  forcetorque.sdf
  geometry.sdf
  gps.sdf
  gripper.sdf
  gui.sdf
  heightmap_shape.sdf
  image_shape.sdf
  imu.sdf
  inertial.sdf
  joint.sdf
  light.sdf
  link.sdf
  magnetometer.sdf
  material.sdf
  mesh_shape.sdf
  model.sdf
  noise.sdf
  physics.sdf
  plane_shape.sdf
  plugin.sdf
  polyline_shape.sdf
  population.sdf
  projector.sdf
  ray.sdf
  rfidtag.sdf
  rfid.sdf
  road.sdf
  root.sdf
  scene.sdf
  sensor.sdf
  spherical_coordinates.sdf
  sphere_shape.sdf
  sonar.sdf
  state.sdf
  surface.sdf
  transceiver.sdf
  visual.sdf
  world.sdf
)

set (SDF_SCHEMA)

foreach(FIL ${sdfs})
  get_filename_component(ABS_FIL ${FIL} ABSOLUTE)
  get_filename_component(FIL_WE ${FIL} NAME_WE)

  list(APPEND SDF_SCHEMA "${CMAKE_CURRENT_BINARY_DIR}/${FIL_WE}.xsd")

  add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${FIL_WE}.xsd"
    COMMAND ${RUBY} ${CMAKE_SOURCE_DIR}/tools/xmlschema.rb
    ARGS -s ${CMAKE_CURRENT_SOURCE_DIR} -i ${ABS_FIL} -o ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${ABS_FIL}
    COMMENT "Running xml schema compiler on ${FIL}"
    VERBATIM)
endforeach()

add_custom_target(schema ALL DEPENDS ${SDF_SCHEMA})

set_source_files_properties(${SDF_SCHEMA} PROPERTIES GENERATED TRUE)
  
install(FILES 1_4.convert ${sdfs} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/sdformat/1.5)
install(FILES ${SDF_SCHEMA} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/sdformat/1.5)

=== test/integration/CMakeLists.txt ===
set(TEST_TYPE "INTEGRATION")

set(tests
  audio.cc
  cfm_damping_implicit_spring_damper.cc
  disable_fixed_joint_reduction.cc
  fixed_joint_reduction.cc
  force_torque_sensor.cc
  joint_axis_frame.cc
  locale_fix.cc
  parser_error_detection.cc
  plugin_attribute.cc
  plugin_bool.cc
  provide_feedback.cc
  urdf_joint_parameters.cc
)

find_program(XMLLINT_EXE xmllint)
if (EXISTS ${XMLLINT_EXE})
  set (tests ${tests} schema_test.cc)
else()
  BUILD_WARNING("xmllint not found. schema_test won't be run")
endif()

link_directories(${PROJECT_BINARY_DIR}/test)

sdf_build_tests(${tests})

if (EXISTS ${XMLLINT_EXE})
  # Need to run schema target (build .xsd files) before running schema_test
  add_dependencies(${TEST_TYPE}_schema_test schema)
endif()

=== debian/changelog ===
sdformat (3.0.0-1) unstable; urgency=medium

  * Imported Upstream version 3.0.0
  * Fix debian rules to compile architecture indepedent packages
  * Migrate from libsdformat-dev to libsdformat3-dev
  * Migrate 3 branch from experiemntal to unstable. Stable upstream release
  * Fix install file for libsdformat3-dev

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 02 Aug 2015 23:03:20 +0000

sdformat (3.0.0~pre3.0.6-1-1) experimental; urgency=medium

  * Patch to use c++11 unconditionally
  * Fix the patch for use external gtest
  * Update watch file
  * Imported Upstream version 3.0.0~pre3.0.6-1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 15 Jul 2015 04:13:57 +0200

sdformat (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Sat, 09 May 2015 18:03:13 +0200

## sdformat 3.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,8 +28,8 @@
 set (SDF_PROTOCOL_VERSION 1.5)
 
 set (SDF_MAJOR_VERSION 3)
-set (SDF_MINOR_VERSION 0)
-set (SDF_PATCH_VERSION 0)
+set (SDF_MINOR_VERSION 1)
+set (SDF_PATCH_VERSION 1)
 
 set (SDF_VERSION ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION})
 set (SDF_VERSION_FULL ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION}.${SDF_PATCH_VERSION})

=== sdf/1.5/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
   joint.sdf
   light.sdf
   link.sdf
+  logical_camera.sdf
   magnetometer.sdf
   material.sdf
   mesh_shape.sdf

=== debian/changelog ===
sdformat (3.1.1-1build1) wily; urgency=medium

  * No-change rebuild against current libignition-math2.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 21 Sep 2015 08:41:10 +0200

sdformat (3.1.1-1) unstable; urgency=medium

  * Imported Upstream version 3.1.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 31 Aug 2015 18:27:25 +0000

sdformat (3.0.0-2) unstable; urgency=medium

  * Fix install file for libsdformat3-dev

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 02 Aug 2015 23:03:20 +0000

=== debian/control ===
Source: sdformat
Standards-Version: 3.9.6
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Testsuite: autopkgtest
Build-Depends: cmake,
               debhelper (>= 9),
               python,
               latex-xcolor,
               libboost-system-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-iostreams-dev,
               libtinyxml-dev,
               liburdfdom-dev,
               doxygen,
               texlive-base,
               texlive-fonts-recommended,
               texlive-latex-extra,
               ruby | ruby-interpreter,
               libignition-math2-dev,
               libgtest-dev,
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/sdformat.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/sdformat.git
Homepage: http://sdformat.org

Package: libsdformat3
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends:  sdformat-sdf (>= ${source:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
Multi-Arch: same
Description: Simulation Description Format (SDF) parser - Shared library
 SDF is an XML file format that describes environments, objects, and robots
 in a manner suitable for robotic applications. SDF is capable of representing
 and describing different physic engines, lighting properties, terrain, static
 or dynamic objects, and articulated robots with various sensors, and acutators.
 The format of SDF is also described by XML, which facilitates updates and
 allows conversion from previous versions. A parser is also contained within
 this package that reads SDF files and returns a C++ interface.
 .
 This package gathers the shared library

Package: libsdformat-dev
Depends: libsdformat3-dev, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package to libsdformat3-dev
 This is a transitional dummy package. It can safely be removed.

Package: libsdformat3-dev
Architecture: any
Section: libdevel
Depends: libboost-system-dev,
         libboost-filesystem-dev,
         libboost-program-options-dev,
         libboost-regex-dev,
         libtinyxml-dev,
         liburdfdom-dev,
         libignition-math2-dev,
         libsdformat3 (= ${binary:Version}),
         ${misc:Depends}
Replaces: libgazebo-dev (<< 3.0.0)
Breaks: libgazebo-dev (<< 3.0.0)
Multi-Arch: same
Description: Simulation Description Format (SDF) parser - Development files
 SDF is an XML file format that describes environments, objects, and robots
 in a manner suitable for robotic applications. SDF is capable of representing
 and describing different physic engines, lighting properties, terrain, static
 or dynamic objects, and articulated robots with various sensors, and acutators.
 The format of SDF is also described by XML, which facilitates updates and
 allows conversion from previous versions. A parser is also contained within
 this package that reads SDF files and returns a C++ interface.
 .
 This package contains development files (headers, shared library
 symbolic link and cmake file).

Package: sdformat-sdf
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Multi-Arch: foreign
Conflicts: libsdformat1
Description: Simulation Description Format (SDF) parser - SDF files
 SDF is an XML file format that describes environments, objects, and robots
 in a manner suitable for robotic applications. SDF is capable of representing
 and describing different physic engines, lighting properties, terrain, static
 or dynamic objects, and articulated robots with various sensors, and acutators.
 The format of SDF is also described by XML, which facilitates updates and
 allows conversion from previous versions. A parser is also contained within
 this package that reads SDF files and returns a C++ interface.
 .
 This package contains SDF (Simulation Description Format) XML files needed by
 the libsdformat.
 
Package: libsdformat3-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
     libsdformat3 (= ${binary:Version}),
     ${misc:Depends}
Multi-Arch: same
Description: Simulation Description Format (SDF) parser - Debugging symbols
 SDF is an XML file format that describes environments, objects, and robots
 in a manner suitable for robotic applications. SDF is capable of representing
 and describing different physic engines, lighting properties, terrain, static
 or dynamic objects, and articulated robots with various sensors, and acutators.
 The format of SDF is also described by XML, which facilitates updates and
 allows conversion from previous versions. A parser is also contained within
 this package that reads SDF files and returns a C++ interface.
 .
 This package contains the debugging symbols.

Package: sdformat-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Multi-Arch: foreign
Description: Simulation Description Format (SDF) parser - Documentation
 SDF is an XML file format that describes environments, objects, and robots
 in a manner suitable for robotic applications. SDF is capable of representing
 and describing different physic engines, lighting properties, terrain, static
 or dynamic objects, and articulated robots with various sensors, and acutators.
 The format of SDF is also described by XML, which facilitates updates and
 allows conversion from previous versions. A parser is also contained within
 this package that reads SDF files and returns a C++ interface.
 .
 This package contains the program documentation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

.PHONY: override_dh_auto_configure     \
        override_dh_auto_build-indep   \
	override_dh_auto_test-indep    \
        override_dh_auto_test          \
        override_dh_strip

override_dh_auto_configure:
	dh_auto_configure -- \
            -DUSE_EXTERNAL_URDF:BOOL=True \
            -DUSE_UPSTREAM_CFLAGS:BOOL=False \
            -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo

override_dh_auto_build-indep:
	dh_auto_build -- doc # Generate documentation.

override_dh_auto_test-arch:
	HOME=$(CURDIR) LC_ALL=POSIX dh_auto_test

# No test can be done without the binaries
override_dh_auto_test-indep:

override_dh_strip:
	dh_strip -a --dbg-package=libsdformat3-dbg

%:
	dh $@ --parallel

## sdformat 3.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,8 +28,8 @@
 set (SDF_PROTOCOL_VERSION 1.5)
 
 set (SDF_MAJOR_VERSION 3)
-set (SDF_MINOR_VERSION 1)
-set (SDF_PATCH_VERSION 1)
+set (SDF_MINOR_VERSION 6)
+set (SDF_PATCH_VERSION 0)
 
 set (SDF_VERSION ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION})
 set (SDF_VERSION_FULL ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION}.${SDF_PATCH_VERSION})

=== sdf/1.5/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
   altimeter.sdf
   audio_source.sdf
   audio_sink.sdf
+  battery.sdf
   box_shape.sdf
   camera.sdf
   collision.sdf
@@ -19,12 +20,15 @@
   inertial.sdf
   joint.sdf
   light.sdf
+  light_state.sdf
   link.sdf
+  link_state.sdf
   logical_camera.sdf
   magnetometer.sdf
   material.sdf
   mesh_shape.sdf
   model.sdf
+  model_state.sdf
   noise.sdf
   physics.sdf
   plane_shape.sdf
@@ -69,6 +73,6 @@
 add_custom_target(schema ALL DEPENDS ${SDF_SCHEMA})
 
 set_source_files_properties(${SDF_SCHEMA} PROPERTIES GENERATED TRUE)
-  
+
 install(FILES 1_4.convert ${sdfs} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/sdformat/1.5)
 install(FILES ${SDF_SCHEMA} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/sdformat/1.5)

=== test/integration/CMakeLists.txt ===
--- 
+++ 
@@ -8,12 +8,17 @@
   force_torque_sensor.cc
   joint_axis_frame.cc
   locale_fix.cc
+  nested_model.cc
   parser_error_detection.cc
   plugin_attribute.cc
   plugin_bool.cc
   provide_feedback.cc
   urdf_joint_parameters.cc
 )
+
+if (PYTHONINTERP_FOUND AND PY_PSUTIL)
+  set(tests ${tests} element_memory_leak.cc)
+endif()
 
 find_program(XMLLINT_EXE xmllint)
 if (EXISTS ${XMLLINT_EXE})
@@ -30,4 +35,3 @@
   # Need to run schema target (build .xsd files) before running schema_test
   add_dependencies(${TEST_TYPE}_schema_test schema)
 endif()
-

=== debian/changelog ===
sdformat (3.6.0-3) unstable; urgency=medium

  * Include pkgconfig in dependencies for pkgautotest

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 06 Jan 2016 12:20:19 +0000

sdformat (3.6.0-2) unstable; urgency=medium

  * Team upload.
  * [8c2184a] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Wed, 06 Jan 2016 11:20:16 +0100

sdformat (3.6.0-1) unstable; urgency=medium

  * Imported Upstream version 3.6.0
  * Fix error in libsdformat3-dev (thanks to Leo)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 12 Nov 2015 16:41:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: sdformat
-Standards-Version: 3.9.6
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
+Testsuite: autopkgtest
 Priority: optional
-Testsuite: autopkgtest
 Build-Depends: cmake,
                debhelper (>= 9),
                python,
@@ -22,19 +21,20 @@
                texlive-latex-extra,
                ruby | ruby-interpreter,
                libignition-math2-dev,
-               libgtest-dev,
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/sdformat.git
+               libgtest-dev
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sdformat.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/sdformat.git
 Homepage: http://sdformat.org
 
 Package: libsdformat3
 Architecture: any
+Multi-Arch: same
 Section: libs
+Depends: sdformat-sdf (>= ${source:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends:  sdformat-sdf (>= ${source:Version}),
-          ${shlibs:Depends},
-          ${misc:Depends}
-Multi-Arch: same
 Description: Simulation Description Format (SDF) parser - Shared library
  SDF is an XML file format that describes environments, objects, and robots
  in a manner suitable for robotic applications. SDF is capable of representing
@@ -47,15 +47,17 @@
  This package gathers the shared library
 
 Package: libsdformat-dev
-Depends: libsdformat3-dev, ${misc:Depends}
 Architecture: all
+Section: oldlibs
 Priority: extra
-Section: oldlibs
+Depends: libsdformat3-dev,
+         ${misc:Depends}
 Description: transitional dummy package to libsdformat3-dev
  This is a transitional dummy package. It can safely be removed.
 
 Package: libsdformat3-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libboost-system-dev,
          libboost-filesystem-dev,
@@ -66,9 +68,8 @@
          libignition-math2-dev,
          libsdformat3 (= ${binary:Version}),
          ${misc:Depends}
-Replaces: libgazebo-dev (<< 3.0.0)
-Breaks: libgazebo-dev (<< 3.0.0)
-Multi-Arch: same
+Breaks: libsdformat-dev (<< 3.0.0)
+Replaces: libsdformat-dev (<< 3.0.0)
 Description: Simulation Description Format (SDF) parser - Development files
  SDF is an XML file format that describes environments, objects, and robots
  in a manner suitable for robotic applications. SDF is capable of representing
@@ -83,9 +84,9 @@
 
 Package: sdformat-sdf
 Architecture: all
+Multi-Arch: foreign
 Section: libdevel
 Depends: ${misc:Depends}
-Multi-Arch: foreign
 Conflicts: libsdformat1
 Description: Simulation Description Format (SDF) parser - SDF files
  SDF is an XML file format that describes environments, objects, and robots
@@ -98,15 +99,14 @@
  .
  This package contains SDF (Simulation Description Format) XML files needed by
  the libsdformat.
- 
+
 Package: libsdformat3-dbg
 Architecture: any
+Multi-Arch: same
 Section: debug
 Priority: extra
-Depends:
-     libsdformat3 (= ${binary:Version}),
-     ${misc:Depends}
-Multi-Arch: same
+Depends: libsdformat3 (= ${binary:Version}),
+         ${misc:Depends}
 Description: Simulation Description Format (SDF) parser - Debugging symbols
  SDF is an XML file format that describes environments, objects, and robots
  in a manner suitable for robotic applications. SDF is capable of representing
@@ -120,9 +120,10 @@
 
 Package: sdformat-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
-Multi-Arch: foreign
+Depends: ${misc:Depends},
+         libjs-jquery
 Description: Simulation Description Format (SDF) parser - Documentation
  SDF is an XML file format that describes environments, objects, and robots
  in a manner suitable for robotic applications. SDF is capable of representing

=== debian/tests/control ===
Tests: build
Depends: libsdformat-dev, pkg-config, build-essential

## sdformat 4.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,10 +25,10 @@
 
 # The protocol version has nothing to do with the package version set below.
 # It represents the current version of sdformat implement by the software
-set (SDF_PROTOCOL_VERSION 1.5)
-
-set (SDF_MAJOR_VERSION 3)
-set (SDF_MINOR_VERSION 6)
+set (SDF_PROTOCOL_VERSION 1.6)
+
+set (SDF_MAJOR_VERSION 4)
+set (SDF_MINOR_VERSION 0)
 set (SDF_PATCH_VERSION 0)
 
 set (SDF_VERSION ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION})

=== sdf/CMakeLists.txt ===
add_subdirectory(1.0)
add_subdirectory(1.2)
add_subdirectory(1.3)
add_subdirectory(1.4)
add_subdirectory(1.5)
add_subdirectory(1.6)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,10 @@
 
 if (USE_EXTERNAL_URDF)
   link_directories(${URDF_LIBRARY_DIRS})
+endif()
+
+if (USE_EXTERNAL_TINYXML)
+  link_directories(${tinyxml_LIBRARY_DIRS})
 endif()
 
 set (sources
@@ -74,7 +78,6 @@
 target_link_libraries(sdformat ${Boost_LIBRARIES} ${IGNITION-MATH_LIBRARIES})
 
 if (USE_EXTERNAL_TINYXML)
-  link_directories(${tinyxml_LIBRARY_DIRS})
   target_link_libraries(sdformat ${tinyxml_LIBRARIES})
 endif()

=== test/CMakeLists.txt ===
include_directories (
  ${PROJECT_SOURCE_DIR}/include
  ${PROJECT_BINARY_DIR}/include
  ${Boost_INCLUDE_DIRS}
  ${PROJECT_SOURCE_DIR}/test/gtest/include
  ${PROJECT_SOURCE_DIR}/test/gtest
  ${PROJECT_SOURCE_DIR}/test
  ${IGNITION-MATH_INCLUDE_DIRS}
)

link_directories(
  ${Boost_LIBRARY_DIRS}
  ${IGNITION-MATH_LIBRARY_DIRS}
)

if (USE_EXTERNAL_URDF)
  link_directories(${URDF_LIBRARY_DIRS})
endif()

if (USE_EXTERNAL_TINYXML)
  link_directories(${tinyxml_LIBRARY_DIRS})
endif()

configure_file (test_config.h.in ${PROJECT_BINARY_DIR}/test_config.h)

# Build gtest
add_library(gtest STATIC gtest/src/gtest-all.cc)
add_library(gtest_main STATIC gtest/src/gtest_main.cc)
target_link_libraries(gtest_main gtest)
set(GTEST_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest.a")
set(GTEST_MAIN_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest_main.a")

execute_process(COMMAND cmake -E remove_directory ${CMAKE_BINARY_DIR}/test_results)
execute_process(COMMAND cmake -E make_directory ${CMAKE_BINARY_DIR}/test_results)
include_directories(${GTEST_INCLUDE_DIRS})

add_subdirectory(integration)
add_subdirectory(performance)

=== include/sdf/CMakeLists.txt ===
include (${sdf_cmake_dir}/SDFUtils.cmake)

set (headers
  Assert.hh
  Console.hh
  Converter.hh
  Element.hh
  Exception.hh
  Param.hh
  parser.hh
  SDFImpl.hh
  Types.hh
  system_util.hh
)

set (sdf_headers "" CACHE INTERNAL "SDF headers" FORCE)
foreach (hdr ${headers})
  APPEND_TO_CACHED_STRING(sdf_headers
    "SDF Headers" "#include <sdf/${hdr}>\n")
endforeach()
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/sdf.hh.in
                ${CMAKE_CURRENT_BINARY_DIR}/sdf.hh)

sdf_install_includes("" ${headers} parser_urdf.hh
  ${CMAKE_CURRENT_BINARY_DIR}/sdf.hh)

=== sdf/1.0/CMakeLists.txt ===
set (sdfs
  actor.sdf 
  camera.sdf
  collision.sdf 
  contact.sdf
  gazebo.sdf 
  geometry.sdf 
  gripper.sdf
  gui.sdf
  inertial.sdf 
  joint.sdf 
  light.sdf 
  link.sdf 
  model.sdf 
  physics.sdf 
  plugin.sdf 
  projector.sdf
  ray.sdf
  rfidtag.sdf
  rfid.sdf
  road.sdf
  scene.sdf 
  sensor.sdf 
  state.sdf
  surface.sdf 
  visual.sdf 
  world.sdf
)

install(FILES ${sdfs} DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/sdformat/1.0/)

=== sdf/1.2/CMakeLists.txt ===
set (sdfs
  1_0.convert
  actor.sdf 
  camera.sdf
  collision.sdf 
  contact.sdf
  gazebo.sdf 
  geometry.sdf 
  gripper.sdf
  gui.sdf
  inertial.sdf 
  joint.sdf 
  light.sdf 
  link.sdf 
  model.sdf 
  physics.sdf 
  plugin.sdf 
  projector.sdf
  ray.sdf
  rfidtag.sdf
  rfid.sdf
  road.sdf
  scene.sdf 
  sensor.sdf 
  state.sdf
  surface.sdf 
  visual.sdf 
  world.sdf
)

install(FILES ${sdfs} DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/sdformat/1.2)

=== sdf/1.3/CMakeLists.txt ===
set (sdfs
  1_2.convert
  actor.sdf 
  camera.sdf
  collision.sdf 
  contact.sdf
  geometry.sdf 
  gripper.sdf
  gui.sdf
  imu.sdf
  inertial.sdf 
  joint.sdf 
  light.sdf 
  link.sdf 
  model.sdf 
  physics.sdf 
  plugin.sdf 
  projector.sdf
  ray.sdf
  rfidtag.sdf
  rfid.sdf
  road.sdf
  root.sdf 
  scene.sdf 
  sensor.sdf 
  state.sdf
  surface.sdf 
  visual.sdf 
  world.sdf
)

install(FILES ${sdfs} DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/sdformat/1.3)

=== test/integration/CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,12 @@
 set(tests
   audio.cc
   cfm_damping_implicit_spring_damper.cc
+  converter.cc
   disable_fixed_joint_reduction.cc
   fixed_joint_reduction.cc
   force_torque_sensor.cc
+  frame.cc
+  include.cc
   joint_axis_frame.cc
   locale_fix.cc
   nested_model.cc
@@ -13,6 +16,7 @@
   plugin_attribute.cc
   plugin_bool.cc
   provide_feedback.cc
+  urdf_gazebo_extensions.cc
   urdf_joint_parameters.cc
 )

=== debian/changelog ===
sdformat (4.0.0-1ubuntu2) xenial; urgency=medium

  * No-change rebuild against liburdfdom-*0.4

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Apr 2016 22:33:55 +0200

sdformat (4.0.0-1ubuntu1) xenial; urgency=medium

  * debian/tests/control: fix test dep to match the actual binary packages
    we are generating.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2016 17:31:38 +0000

sdformat (4.0.0-1) unstable; urgency=medium

  * Imported Upstream version 4.0.0
  * Migrate packaging from sdformat3 to sdformat4

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 15 Jan 2016 00:18:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: sdformat
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
 Testsuite: autopkgtest
@@ -27,7 +28,7 @@
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/sdformat.git
 Homepage: http://sdformat.org
 
-Package: libsdformat3
+Package: libsdformat4
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -46,16 +47,7 @@
  .
  This package gathers the shared library
 
-Package: libsdformat-dev
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: libsdformat3-dev,
-         ${misc:Depends}
-Description: transitional dummy package to libsdformat3-dev
- This is a transitional dummy package. It can safely be removed.
-
-Package: libsdformat3-dev
+Package: libsdformat4-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
@@ -66,10 +58,8 @@
          libtinyxml-dev,
          liburdfdom-dev,
          libignition-math2-dev,
-         libsdformat3 (= ${binary:Version}),
+         libsdformat4 (= ${binary:Version}),
          ${misc:Depends}
-Breaks: libsdformat-dev (<< 3.0.0)
-Replaces: libsdformat-dev (<< 3.0.0)
 Description: Simulation Description Format (SDF) parser - Development files
  SDF is an XML file format that describes environments, objects, and robots
  in a manner suitable for robotic applications. SDF is capable of representing
@@ -100,12 +90,12 @@
  This package contains SDF (Simulation Description Format) XML files needed by
  the libsdformat.
 
-Package: libsdformat3-dbg
+Package: libsdformat4-dbg
 Architecture: any
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libsdformat3 (= ${binary:Version}),
+Depends: libsdformat4 (= ${binary:Version}),
          ${misc:Depends}
 Description: Simulation Description Format (SDF) parser - Debugging symbols
  SDF is an XML file format that describes environments, objects, and robots

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 override_dh_auto_test-indep:
 
 override_dh_strip:
-	dh_strip -a --dbg-package=libsdformat3-dbg
+	dh_strip -a --dbg-package=libsdformat4-dbg
 
 %:
 	dh $@ --parallel

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://gazebosim.org/distributions/sdformat/releases/ .*sdformat-(\d\.\d\.\d)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sdformat 4.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 set (SDF_PROTOCOL_VERSION 1.6)
 
 set (SDF_MAJOR_VERSION 4)
-set (SDF_MINOR_VERSION 0)
+set (SDF_MINOR_VERSION 1)
 set (SDF_PATCH_VERSION 0)
 
 set (SDF_VERSION ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION})
@@ -251,6 +251,11 @@
     ${CMAKE_CURRENT_BINARY_DIR}/cmake/sdformat.pc @ONLY)
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cmake/sdformat.pc DESTINATION
     ${LIB_INSTALL_DIR}/pkgconfig COMPONENT pkgconfig)
+
+  ########################################
+  # Configure documentation uploader
+  configure_file("${CMAKE_SOURCE_DIR}/cmake/upload_doc.sh.in"
+    ${CMAKE_BINARY_DIR}/upload_doc.sh @ONLY)
 
   ########################################
   # Make the cmake config files

=== debian/changelog ===
sdformat (4.1.0-1) unstable; urgency=medium

  * Imported Upstream version 4.1.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 14 Jul 2016 16:46:04 +0000

sdformat (4.0.0-3) unstable; urgency=medium

  [ Steve Langasek ]
  * [e2fd351] Fix deps in autopkgtest. (Closes: #818915)

  [ Anton Gladky ]
  * [8abe20a] Add myself to uploaders.

 -- Anton Gladky <gladk@debian.org>  Mon, 21 Mar 2016 19:03:43 +0100

sdformat (4.0.0-2) unstable; urgency=medium

  * Team upload.
  * [4fa79dd] Add Breaks/Replaces for libsdformat4-dev. (Closes: #812743)
  * [2b7b2c2] Remove libsdformat4-dbg.
  * [67476f5] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Sat, 12 Mar 2016 20:35:21 +0100

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,5 @@
 # No test can be done without the binaries
 override_dh_auto_test-indep:
 
-override_dh_strip:
-	dh_strip -a --dbg-package=libsdformat4-dbg
-
 %:
 	dh $@ --parallel

## sdformat 4.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 set (SDF_MAJOR_VERSION 4)
 set (SDF_MINOR_VERSION 1)
-set (SDF_PATCH_VERSION 0)
+set (SDF_PATCH_VERSION 1)
 
 set (SDF_VERSION ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION})
 set (SDF_VERSION_FULL ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION}.${SDF_PATCH_VERSION})

=== debian/changelog ===
sdformat (4.1.1-1build1) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:45:44 +0000

sdformat (4.1.1-1) unstable; urgency=medium

  * Imported Upstream version 4.1.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 15 Sep 2016 22:32:41 +0000

sdformat (4.1.0-2) unstable; urgency=medium

  * Update standards to 3.9.8
  * Add patch to replace boost pointers by std
    (Closes: #834982)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 30 Aug 2016 23:45:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sdformat
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
+Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>,
+  Anton Gladky <gladk@debian.org>
 Section: science
 Testsuite: autopkgtest
 Priority: optional
@@ -23,9 +24,9 @@
                ruby | ruby-interpreter,
                libignition-math2-dev,
                libgtest-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sdformat.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/sdformat.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sdformat.git
 Homepage: http://sdformat.org
 
 Package: libsdformat4
@@ -60,6 +61,9 @@
          libignition-math2-dev,
          libsdformat4 (= ${binary:Version}),
          ${misc:Depends}
+Breaks: libsdformat3-dev
+Provides: libsdformat-dev
+Replaces: libsdformat3-dev
 Description: Simulation Description Format (SDF) parser - Development files
  SDF is an XML file format that describes environments, objects, and robots
  in a manner suitable for robotic applications. SDF is capable of representing
@@ -90,24 +94,6 @@
  This package contains SDF (Simulation Description Format) XML files needed by
  the libsdformat.
 
-Package: libsdformat4-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: libsdformat4 (= ${binary:Version}),
-         ${misc:Depends}
-Description: Simulation Description Format (SDF) parser - Debugging symbols
- SDF is an XML file format that describes environments, objects, and robots
- in a manner suitable for robotic applications. SDF is capable of representing
- and describing different physic engines, lighting properties, terrain, static
- or dynamic objects, and articulated robots with various sensors, and acutators.
- The format of SDF is also described by XML, which facilitates updates and
- allows conversion from previous versions. A parser is also contained within
- this package that reads SDF files and returns a C++ interface.
- .
- This package contains the debugging symbols.
-
 Package: sdformat-doc
 Architecture: all
 Multi-Arch: foreign

## sdformat 4.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,8 +28,8 @@
 set (SDF_PROTOCOL_VERSION 1.6)
 
 set (SDF_MAJOR_VERSION 4)
-set (SDF_MINOR_VERSION 1)
-set (SDF_PATCH_VERSION 1)
+set (SDF_MINOR_VERSION 2)
+set (SDF_PATCH_VERSION 0)
 
 set (SDF_VERSION ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION})
 set (SDF_VERSION_FULL ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION}.${SDF_PATCH_VERSION})

=== sdf/CMakeLists.txt ===
--- 
+++ 
@@ -4,3 +4,6 @@
 add_subdirectory(1.4)
 add_subdirectory(1.5)
 add_subdirectory(1.6)
+
+add_custom_target(schema)
+add_dependencies(schema schema1_6)

=== debian/changelog ===
sdformat (4.2.0-1) unstable; urgency=medium

  * Imported Upstream version 4.2.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 17 Jan 2017 16:52:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sdformat
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>,
   Anton Gladky <gladk@debian.org>
 Section: science

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 .PHONY: override_dh_auto_configure     \
         override_dh_auto_build-indep   \
